	Integer*4 Function Mrk$_ErrRec ( facility, condition_code, append )
c
c *** declarations
c
	Character*(*)	facility,	append
	Character*255	message
	Character*1	cr / 13 /,	lf / 10 /
c
	integer*4	condition_code,	Sys$GetMsg,	msg_stat
c
	Mrk$_ErrRec = Sys$GetMsg ( %VAL( condition_code ),
	1			     message_length,
	1			     message, %VAL( 7 ), )
c
	i = index( message, '!' ) - 1
	If ( i .gt. 0 ) then
	    message = message( : i )
	    message_length = i
	End If
	istat = Lib$Put_Line( cr // lf // facility //
	1		message( 2: message_length ) // append )
c
	return
	end
